Сломался pacman (GLIBC_2.34). ☆o(><;)○

Всем привет. Не могу обновить систему. Вылезает ошибка.

pacman: /usr/lib/libc.so.6: version `GLIBC_2.34' not found (required by pacman)

Я так понимаю она вылезла после решения повторной ошибки.
Систему нужно было переставить.

ошибка GPGME: Нет данных.
ошибка: failed to synchronize all databases (неверная или поврежденная база данных(PGP-подпись))

ошибка GPGME - проделал все шаги и то все равно не помогало. ГЛЮКИ. В конце концов сломал pacman.

Как решить проблему?
I learn Linux...)))
Покажите целиком листинг и что вы вводите.
Ошибки в тексте-неповторимый стиль автора©
indeviral
Покажите целиком листинг и что вы вводите.

sudo pacman -Syu

pacman: /usr/lib/libc.so.6: version `GLIBC_2.34' not found (required by pacman)
I learn Linux...)))
art896
ошибка GPGME - проделал все шаги и то все равно не помогало. ГЛЮКИ. В конце концов сломал pacman.

Поправка. Частично помогло,но сломался pacman.
I learn Linux...)))
indeviral
Покажите целиком листинг и что вы вводите.

До этой ошибки вводил.
sudo rm -rf /etc/pacman.d/gnupg
sudo pacman-key --init
sudo pacman-key --populate archlinux blackarch
sudo pacman-key --update --keyserver keyserver.ubuntu.com

#Исправление ошибки

Редактируем sudo nano /etc/pacman.conf , закомментируем репо blackarch
далее sudo nano /etc/pacman.d/mirrorlist
то открываем комментируем свои и ставим эти
Server = http://ftp.byfly.by/pub/archlinux/$repo/os/$arch
Server = http://mirror.datacenter.by/pub/archlinux/$repo/os/$arch

sudo pacman –Sy (потом только репозитории из своего региона поставьте)

sudo pacman -S archlinux-keyring

pacman -Syu

Репо Black закомментировано.

#[blackarch]
#Include = /etc/pacman.d/blackarch-mirrorlist
- раскомментировать.

pacman –Sy

pacman -S blackarch-keyring
I learn Linux...)))
art896
sudo pacman -Syu
Только одну строку выдаёт? Или это просто ошибка при обновлении?

Если да, то всё не хорошо)
$ ls -la /usr/lib/libc.so.6
ну ещё сразу и эту покажите
$ ls -la /var/cache/pacman/pkg/glibc-*
Ошибки в тексте-неповторимый стиль автора©
indeviral
art896
sudo pacman -Syu
Только одну строку выдаёт? Или это просто ошибка при обновлении?

Если да, то всё не хорошо)
$ ls -la /usr/lib/libc.so.6
ну ещё сразу и эту покажите
$ ls -la /var/cache/pacman/pkg/glibc-*

ls -la /usr/lib/libc.so.6
lrwxrwxrwx 1 root root 12 мая 12  2021 /usr/lib/libc.so.6 -> libc-2.33.so

ls -la /var/cache/pacman/pkg/glibc-*
zsh: no matches found: /var/cache/pacman/pkg/glibc-*

При попытке обновления одну. При загрузке системы пишет ошибку , не удается запустить pacman -keyring .
I learn Linux...)))
У вас весело, просто класс, я даже не знаю как вы умудрились так сделать))

На мой взгляд, тут уже только вручную можно что-то поправить. Но подождите может кто что-нибудь предложит.
Нет, тогда расскажу в двух словах что делать.
Ошибки в тексте-неповторимый стиль автора©
indeviral
У вас весело, просто класс, я даже не знаю как вы умудрились так сделать))

На мой взгляд, тут уже только вручную можно что-то поправить. Но подождите может кто что-нибудь предложит.
Нет, тогда расскажу в двух словах что делать. (но в вашем случаи проще будет удалить, наверно. Потому-что команды я вам писать не буду просто обрисую что делать.)

Я сам поражаюсь этому. Наверное проще было отключить тогда проверку подписи пакетов. Желательно с командами обрисовать что делать.
I learn Linux...)))
$ cat /var/log/pacman.log | grep 2022-09-
покажите, чисто посмеяться)
Ошибки в тексте-неповторимый стиль автора©
 
Зарегистрироваться или войдите чтобы оставить сообщение.